# $Revision: 1.25 $, $Date: 2012/01/14 19:15:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Amazon
Summary:	Net::Amazon - framework for accessing amazon.com via SOAP and XML/HTTP
Summary(pl.UTF-8):	Net::Amazon - szkielet do dostępu do amazon.com poprzez SOAP i XML/HTTP
Name:		perl-Net-Amazon
Version:	0.61
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	33192ac55aa6c4b3ccd3db097c5b2e6d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More)
BuildRequires:	perl-Log-Log4perl >= 0.30
BuildRequires:	perl-URI
BuildRequires:	perl-XML-Simple >= 2.08
BuildRequires:	perl-libwww
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Amazon provides an object-oriented interface to amazon.com's SOAP
and XML/HTTP interfaces. This way it's possible to create applications
using Amazon's vast amount of data via a functional interface, without
having to worry about the underlying communication mechanism.

%description -l pl.UTF-8
Net::Amazon oferuje zorientowany obiektowo dostęp do interfejsów SOAP
i XML/HTTP serwisu amazon.com. W ten sposób można tworzyć aplikacje
korzystające z przepastnych zasobów Amazonu poprzez funkcjonalny
interfejs, bez martwienia się o mechanizm komunikacyjny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}/%{pnam}
%{perl_vendorlib}/%{pdir}/Amazon.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Amazon.spec,v $
Revision 1.25  2012/01/14 19:15:02  zbyniu
- up to 0.61

Revision 1.24  2011/03/22 08:25:46  caleb
- Up to 0.59

Revision 1.23  2009/08/27 09:15:00  amateja
- updated to 0.55

Revision 1.22  2008/07/27 22:53:19  arekm
- release 2

Revision 1.21  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.19  2005/05/30 11:36:24  petec
- up to 0.33

Revision 1.18  2004/12/05 16:40:23  radek
- version 0.32

Revision 1.17  2004/11/03 22:30:35  paladine
- formatting

Revision 1.16  2004/08/13 18:04:18  adamg
- updated to 0.29

Revision 1.15  2004/08/07 16:41:15  adamg
- updated to 0.28

Revision 1.14  2004/07/11 19:42:19  adamg
- updated to 0.26

Revision 1.13  2004/06/10 17:39:23  adamg
- updated to 0.23

Revision 1.12  2004/05/13 18:36:34  adamg
- updated to 0.22

Revision 1.11  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.9  2004/04/15 05:11:46  ankry
- more about license

Revision 1.8  2004/04/09 19:53:40  adamg
- updated to 0.21

Revision 1.7  2004/03/06 20:05:34  adamg
- updated to 0.19

Revision 1.6  2004/02/13 16:01:38  migo
- up to 0.18

Revision 1.5  2003/11/23 14:32:37  migo
- fix in conditional comment

Revision 1.4  2003/11/23 14:17:41  migo
- up to 0.17
- enabled tests - by default they are off-line

Revision 1.3  2003/10/15 21:27:48  migo
- up to 0.16
- new bcond style
- changed pl description
- added bconded BRs

Revision 1.2  2003/10/12 19:04:03  qboosh
- pl

Revision 1.1  2003/09/27 21:31:13  migo
- initial release
